<?php

/*
  Clase SuperComponent
  @version 1.0
  Esta clase será la encargada, en un futuro, de mostrar un componente de un módulo
 */

class SuperComponent{

	private $name = '';
	private $module = NULL;
	
	public function setName($name = ''){
		$this->name = $name;
	}

	
    //Constructor y destructor
    public function __construct() {
		
		//Vamos a recibir los parámetros:
		$numargs = func_num_args();
		$argumentos = func_get_arg();
		if (isset($argumentos[0])){
			$this->name = $argumentos[0];
		}
    }

    public function __destruct() {
        
    }

}
